tigase.jaxmpp.core.client.xmpp.modules.jingle

## Class Candidate

- java.lang.Object
- - tigase.jaxmpp.core.client.xml.ElementWrapper
  - - tigase.jaxmpp.core.client.xmpp.modules.jingle.Candidate

- All Implemented Interfaces:
    Element, ConnectionEndpoint

      public class Candidate
      extends ElementWrapper
      implements ConnectionEndpoint

  Author:
    andrzej

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Candidate.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CID_ATTR`
    `static String` | `HOST_ATTR`
    `static String` | `JID_ATTR`
    `static String` | `PORT_ATTR`
    `static String` | `PRIORITY_ATTR`
    `static String` | `TYPE_ATTR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Candidate(Element elem)`
    `Candidate(String cid, String host, Integer port, JID jid, Integer priority, Candidate.Type type)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCid()`
    `String` | `getHost()`
    `JID` | `getJid()`
    `Integer` | `getPort()`
    `Integer` | `getPriority()`
    `Candidate.Type` | `getType()`

    - ### Methods inherited from class tigase.jaxmpp.core.client.xml.ElementWrapper

      `addChild, equals, findChild, getAsString, getAttribute, getAttributes, getChildAfter, getChildElementValue, getChildElementValue, getChildren, getChildren, getChildrenNS, getChildrenNS, getFirstChild, getFirstChild, getName, getNextSibling, getParent, getValue, getWrappedElement, getXMLNS, hashCode, removeAttribute, removeChild, setAttribute, setAttributes, setChildElementValue, setChildElementValue, setParent, setValue, setXMLNS, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CID_ATTR

          public static final String CID_ATTR

      See Also:
        Constant Field Values

    - #### HOST_ATTR

          public static final String HOST_ATTR

      See Also:
        Constant Field Values

    - #### JID_ATTR

          public static final String JID_ATTR

      See Also:
        Constant Field Values

    - #### PORT_ATTR

          public static final String PORT_ATTR

      See Also:
        Constant Field Values

    - #### PRIORITY_ATTR

          public static final String PRIORITY_ATTR

      See Also:
        Constant Field Values

    - #### TYPE_ATTR

          public static final String TYPE_ATTR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Candidate

          public Candidate(Element elem)
                    throws JaxmppException

      Throws:
        `JaxmppException`

    - #### Candidate

          public Candidate(String cid,
                           String host,
                           Integer port,
                           JID jid,
                           Integer priority,
                           Candidate.Type type)
                    throws JaxmppException

      Throws:
        `JaxmppException`

  - ### Method Detail

    - #### getCid

          public String getCid()
                        throws XMLException

      Throws:
        `XMLException`

    - #### getHost

          public String getHost()
                         throws XMLException

      Specified by:
        `getHost` in interface `ConnectionEndpoint`
      Throws:
        `XMLException`

    - #### getJid

          public JID getJid()
                     throws XMLException

      Specified by:
        `getJid` in interface `ConnectionEndpoint`
      Throws:
        `XMLException`

    - #### getPort

          public Integer getPort()
                          throws XMLException

      Specified by:
        `getPort` in interface `ConnectionEndpoint`
      Throws:
        `XMLException`

    - #### getPriority

          public Integer getPriority()
                              throws XMLException

      Throws:
        `XMLException`

    - #### getType

          public Candidate.Type getType()
                                 throws XMLException

      Throws:
        `XMLException`

Copyright © 2006–2023 Tigase. All rights reserved.